Notepad++ Update Fixes ‘CIA Hacking’ Issue

Free software Notepad++ (released under the GNU General Public License) received a new update this week which was announced under the headline “Fix CIA Hacking Notepad++ Issue”. The CIA documents in WikiLeaks’ ‘Vault 7′ included a “Notepad++ DLL Hijack” document which affected the popular Windows editor for text and source code. “It’s not a vulnerability/security issue in Notepad++, but for remedying this issue, from this release (v7.3.3) forward, notepad++.exe checks the certificate validation in scilexer.dll before loading it,” reads the announcement. From the Notepad++ web site: If the certificate is missing or invalid, then it just won’t be loaded, and Notepad++ will fail to launch. Checking the certificate of DLL makes it harder to hack. Note that once users’ PCs are compromised, the hackers can do anything on the PCs. This solution only prevents from Notepad++ loading a CIA homemade DLL. It doesn’t prevent your original notepad++.exe from being replaced by modified notepad++.exe while the CIA is controlling your PC. The update also includes “a lot of enhancements and bug-fixes,” and if no critical issues are found, “Auto-updater will be triggered in few days.”

Read more of this story at Slashdot.


Source: www.slashdot.org

Leave a Reply